> For the complete documentation index, see [llms.txt](https://docs.facefusion.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facefusion.io/usage/cli-arguments/processors/background-remover.md).

# Background Remover

## CLI Arguments

### Background Remover Model

Choose the model responsible for removing the background.

Argument: `--background-remover-model`

Default: `modnet`

Choices:&#x20;

* `ben_2`
* `birefnet_general`
* `birefnet_portrait`
* `corridor_key_1024`
* `corridor_key_2048`
* `isnet_general`
* `modnet`
* `rmbg_1.4`
* `rmbg_2.0`
* `silueta`
* `u2net_cloth`
* `u2net_general`
* `u2net_human`
* `u2net_portable`

Example: `--background-remover-model rmbg_2.0`

### Background Remover Fill Color

Apply red, green, blue and alpha values to the background.

Argument: `--background-remover-fill-color`

Default: `0 0 0 0`

Example: `--background-remover-fill-color 255 0 0 255`

### Background Remover Despill Color

Remove red, green, blue and alpha values from the foreground.

Argument: `--background-remover-despill-color`

Default: `0 0 0 0`

Example: `--background-remover-despill-color 0 255 0 255`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[processors]
background_remover_model = rmbg_2.0
background_remover_fill_color = 255 0 0 255
background_remover_despill_color = 0 255 0 255
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/processors/background-remover.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
